package polecelychcisel;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class PoleCelychCisel {
    public static int nactiCeleCislo(Scanner kl, String hlaska){
        int cislo;
        while (true) {
            try {
                System.out.println(hlaska);
                cislo = kl.nextInt();
                break;
            } catch (InputMismatchException e) {
                System.out.println("Nutno zadat cele cislo.");
                kl.nextLine(); // vyprazdneni bufferu klavesnice
            }
        }
        return(cislo);
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner kl = new Scanner(System.in);
        int n;
        do{
            n = nactiCeleCislo(kl, "Zadej velikost pole:");
        }while(n <= 0);
        int[] p;
        p = new int[n];     /*int[] p = new int[n]*/
        for(int i=0; i<n; i++){
            p[i] = nactiCeleCislo(kl, String.format("Zadej %d. prvek pole:", i+1));
        }
        System.out.println("Pole cisel:");
        for(int i=0; i<n; i++){
            System.out.format("%d\t", p[i]);
        }
            
    }
    
}
